#include <bits/stdc++.h>
using namespace std;

const int oo = 0x3f3f3f3f;

string s;
int t[100006];
unordered_map<char, char> mp;
char c = '0';

int LIS() {
	vector<int> L(s.size() + 5, 0);
	int len = 1;
	L[0] = t[0] - '0';
	for (int i = 1; i < s.size(); i++) {
		auto b = L.begin(), e = L.begin() + len;
		auto it = upper_bound(b, e, t[i]);
		if (it == L.begin() + len) L[len++] = t[i];
		else *it = t[i];
	}
	return len;
}

int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cin >> s;
	for (int i = 0; i < s.size(); i++) {
		if (!mp[s[i]]) {
			mp[s[i]] = c;
			c++;
		}
		t[i] = mp[s[i]] - '0';
	}
	cout << s.size() - LIS() << '\n';
	return 0;
}